buildr-commits mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Yavor Nikolov (JIRA)" <j...@apache.org>
Subject [jira] [Updated] (BUILDR-667) buildr fails to work with ruby 2.0
Date Sun, 12 May 2013 17:17:16 GMT

     [ https://issues.apache.org/jira/browse/BUILDR-667?page=com.atlassian.jira.plugin.system.issuetabpanels:all-tabpanel
]

Yavor Nikolov updated BUILDR-667:
---------------------------------

    Attachment: Gemfile
                Gemfile.lock

I tried to run it with `bundle exec` - fails again. Attached the generated Gemfile.lock.
                
> buildr fails to work with ruby 2.0
> ----------------------------------
>
>                 Key: BUILDR-667
>                 URL: https://issues.apache.org/jira/browse/BUILDR-667
>             Project: Buildr
>          Issue Type: Bug
>          Components: Core features
>    Affects Versions: 1.4.12
>         Environment: * Ubuntu Linux 13.04, 64-bit
> * $ ruby --version
> ruby 2.0.0p0 (2013-02-24 revision 39474) [x86_64-linux]
> * $ java -version
> java version "1.7.0_21"
> Java(TM) SE Runtime Environment (build 1.7.0_21-b11)
> Java HotSpot(TM) 64-Bit Server VM (build 23.21-b01, mixed mode)
> * buildr version - 14.12 installed from official Apache binaries
>            Reporter: Yavor Nikolov
>         Attachments: Gemfile, Gemfile.lock
>
>
> *$ buildr --version
> /usr/local/rvm/gems/ruby-2.0.0-p0/gems/rjb-1.4.2/lib/rjb.rb:34:in `require': cannot load
such file -- rjbcore (LoadError)
> 	from /usr/local/rvm/gems/ruby-2.0.0-p0/gems/rjb-1.4.2/lib/rjb.rb:34:in `<top (required)>'
> 	from /usr/local/rvm/gems/ruby-2.0.0-p0/gems/buildr-1.4.12/lib/buildr/java/rjb.rb:22:in
`require'
> 	from /usr/local/rvm/gems/ruby-2.0.0-p0/gems/buildr-1.4.12/lib/buildr/java/rjb.rb:22:in
`<top (required)>'
> 	from /usr/local/rvm/gems/ruby-2.0.0-p0/gems/buildr-1.4.12/lib/buildr.rb:73:in `require'
> 	from /usr/local/rvm/gems/ruby-2.0.0-p0/gems/buildr-1.4.12/lib/buildr.rb:73:in `<top
(required)>'
> 	from /usr/local/rvm/gems/ruby-2.0.0-p0/gems/buildr-1.4.12/bin/buildr:19:in `require'
> 	from /usr/local/rvm/gems/ruby-2.0.0-p0/gems/buildr-1.4.12/bin/buildr:19:in `<top
(required)>'
> 	from /usr/local/rvm/gems/ruby-2.0.0-p0/bin/buildr:23:in `load'
> 	from /usr/local/rvm/gems/ruby-2.0.0-p0/bin/buildr:23:in `<main>'
> 	from /usr/local/rvm/gems/ruby-2.0.0-p0/bin/ruby_noexec_wrapper:14:in `eval'
> 	from /usr/local/rvm/gems/ruby-2.0.0-p0/bin/ruby_noexec_wrapper:14:in `<main>'

--
This message is automatically generated by JIRA.
If you think it was sent incorrectly, please contact your JIRA administrators
For more information on JIRA, see: http://www.atlassian.com/software/jira

Mime
View raw message